Name:           perl-Catalyst-Controller-ActionRole
Summary:        Apply roles to action instances
Version:        0.15
Release:        1%{?dist}
License:        GPL+ or Artistic
Group:          Development/Libraries
Source0:        http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/Catalyst-Controller-ActionRole-%{version}.tar.gz 
URL:            http://search.cpan.org/dist/Catalyst-Controller-ActionRole/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

BuildRequires:  perl(Catalyst)
BuildRequires:  perl(Catalyst::Action)
BuildRequires:  perl(Catalyst::Action::REST)
BuildRequires:  perl(Catalyst::Controller)
BuildRequires:  perl(Catalyst::Runtime) >= 5.80025
BuildRequires:  perl(Catalyst::Test)
BuildRequires:  perl(Catalyst::Utils)
BuildRequires:  perl(Class::MOP) >= 0.80
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.31
BuildRequires:  perl(FindBin)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Moose) >= 0.90
BuildRequires:  perl(Moose::Meta::Class)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(MooseX::Types::Moose)
BuildRequires:  perl(namespace::clean)
BuildRequires:  perl(parent)
BuildRequires:  perl(String::RewritePrefix) >= 0.004
BuildRequires:  perl(Test::More)

Requires:       perl(Catalyst::Controller)
Requires:       perl(Catalyst::Runtime) >= 5.80025
Requires:       perl(Class::MOP) >= 0.80
Requires:       perl(Moose) >= 0.90

%{?perl_default_filter}
%{?perl_default_subpackage_tests}

%description
This module allows to apply roles to the Catalyst::Actions for different
controller methods.

%prep
%setup -q -n Catalyst-Controller-ActionRole-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Sep 10 2010 Iain Arnell <iarnell@gmail.com> 0.15-1
- update by Fedora::App::MaintainerTools 0.006
- updating to latest GA CPAN version (0.15)
- added a new br on perl(Catalyst) (version 0)
- added a new br on perl(Catalyst::Action) (version 0)
- added a new br on perl(Catalyst::Action::REST) (version 0)
- added a new br on perl(Catalyst::Controller) (version 0)
- altered br on perl(Catalyst::Runtime) (5.71001 => 5.80025)
- added a new br on perl(Catalyst::Test) (version 0)
- added a new br on perl(Catalyst::Utils) (version 0)
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.31)
- added a new br on perl(FindBin) (version 0)
- added a new br on perl(List::Util) (version 0)
- added a new br on perl(Moose::Meta::Class) (version 0)
- added a new br on perl(Moose::Role) (version 0)
- added a new br on perl(Test::More) (version 0)
- added a new br on perl(parent) (version 0)
- added a new req on perl(Catalyst::Controller) (version 0)
- altered req on perl(Catalyst::Runtime) (5.71001 => 5.80025)

* Wed Jun 30 2010 Iain Arnell <iarnell@gmail.com> 0.14-1
- Specfile autogenerated by cpanspec 1.78.
